## libconfhelper-perl 0.12

=== debian/changelog ===
libconfhelper-perl (0.12) unstable; urgency=low

  * Fixed spelling error in description.  Closes: #124922.
  * Updated maintainer to jgoerzen@complete.org.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  8 Feb 2002 10:27:09 -0500

libconfhelper-perl (0.11) unstable; urgency=low

  * Now rotate files when setconfarea() is called.

 -- John Goerzen <jgoerzen@progenylinux.com>  Sun, 12 Nov 2000 15:35:50 -0500

libconfhelper-perl (0.10) unstable; urgency=low

  * Added setotherarea_DANGEROUS function.

 -- John Goerzen <jgoerzen@progenylinux.com>  Sun, 12 Nov 2000 15:13:41 -0500

libconfhelper-perl (0.9) unstable; urgency=low

  * Initial Release.

 -- John Goerzen <jgoerzen@progenylinux.com>  Sun, 12 Nov 2000 13:27:13 -0500

Local variables:
mode: debian-changelog
End:
