=== debian/control ===
Source: libconfhelper-perl
Section: libs
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Standards-Version: 3.1.1

Package: libconfhelper-perl
Architecture: all
Depends: liblogfile-rotate-perl (>= 1.03-1), perl5
Description: Library for editing configuration files
 Library to make editing configuration files easier.
 It provides functions to deal with configuration files in chunks,
 allowing nice co-existence with users and other programs on the system.
 It was written specifically for use with DebConf scripts.
