## libconfhelper-perl 0.12.5

=== debian/changelog ===
libconfhelper-perl (0.12.5) unstable; urgency=low

  * Orphan this package

 -- Igor Genibel <igenibel@debian.org>  Thu, 19 Feb 2004 11:30:22 +0100

libconfhelper-perl (0.12.4) unstable; urgency=low

  * Fix building errors

 -- Igor Genibel <igenibel@debian.org>  Wed, 20 Aug 2003 15:30:02 +0200

libconfhelper-perl (0.12.3) unstable; urgency=low

  * New Maintainer (Closes: #206133)
  * Ack. NMU (Closes: #190452)

 -- Igor Genibel <igenibel@debian.org>  Tue, 19 Aug 2003 11:25:37 +0200

libconfhelper-perl (0.12.2) unstable; urgency=low

  * Orphaning package; set maintainer to QA group.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Aug 2003 18:01:16 -0500

libconfhelper-perl (0.12.1) unstable; urgency=low

  * NMU.
  * Add Build-Depends-Indep on debhelper.  Closes: #190452.
  * Build package in binary-indep instead of binary-arch.

 -- Daniel Schepler <schepler@debian.org>  Sat,  2 Aug 2003 15:00:16 -0700
