=== debian/control ===
Source: libconfhelper-perl
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends-Indep: debhelper (>= 3.0.18), perl (>= 5.6.0-16)
Standards-Version: 3.6.0

Package: libconfhelper-perl
Architecture: all
Depends: liblogfile-rotate-perl (>= 1.03-1), ${perl:Depends}
Description: Library for editing configuration files
 Library to make editing configuration files easier.
 It provides functions to deal with configuration files in chunks,
 allowing nice co-existence with users and other programs on the system.
 It was written specifically for use with DebConf scripts.
