=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=1
+export DH_COMPAT=3
 
 ifndef PERL
 PERL = /usr/bin/perl
@@ -14,7 +14,7 @@
 
 TMP     =`pwd`/debian/tmp
 archlib =`$(PERL) -MConfig -e 'print $$Config{installarchlib}'`
-config  =INSTALLDIRS=perl INSTALLMAN1DIR=$(TMP)/usr/share/man/man1 INSTALLMAN3DIR=$(TMP)/usr/share/man/man3 INSTALLPRIVLIB=$(TMP)/usr/lib/perl5 INSTALLARCHLIB=$(TMP)$(archlib)
+config  =INSTALLDIRS=vendor INSTALLMAN1DIR=$(TMP)/usr/share/man/man1 INSTALLMAN3DIR=$(TMP)/usr/share/man/man3 INSTALLPRIVLIB=$(TMP)/usr/lib/perl5 INSTALLARCHLIB=$(TMP)$(archlib)
 
 configure: configure-stamp
 configure-stamp:
@@ -42,6 +42,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
+	rm -f Makefile.old
 
 	dh_clean
 
@@ -53,17 +54,19 @@
 
 	# Add here commands to install the package into debian/tmp.
 	# $(MAKE) install DESTDIR=`pwd`/debian/tmp
-	$(MAKE) pure_install
+	$(MAKE) install PREFIX=`pwd`/debian/tmp/usr
 	find `pwd`/debian/tmp -type f -name .packlist | xargs -r rm -f
 	-find `pwd`/debian/tmp -type d -empty | xargs -r rmdir -p --ignore-fail-on-non-empty
+	mkdir -p libconfhelper-perl
+	cp -a $(CURDIR)/debian/tmp/usr $(CURDIR)/debian/libconfhelper-perl/
 
+
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by default.
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 #	dh_testversion
 	dh_testdir
 	dh_testroot
@@ -84,7 +87,7 @@
 	dh_compress
 	dh_fixperms
 	# You may want to make some executables suid here.
-	dh_suidregister
+#	dh_suidregister
 #	dh_makeshlibs
 	dh_installdeb
 	dh_perl
